function OnSceneLoad(screen)
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    --level:AddTaskSafe(CreateTask('', '', ''))
    --zone = CreateZoomZone('')
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	
	-------------------------------------------------------------------------------------------
    -- init comics
    InitChain1(screen);
	game_state.chain1.state_changer = 'OnStartingComicsComplete'
    InitChain2(screen);
    InitChain3(screen);
	game_state.chain3.final = true
    AddSheriffEyeLogic();
	
	-------------------------------------------------------------------------------------------
	level:AddTaskSafe(CreateTask('PARTS_OF_PICTURE', '', 'parts_of_picture'));
    AddRandomTasks(17,
                   CreateTask('APPLE', '', 'apple'),
                   CreateTask('BRUSH', '', 'brush'),
                   CreateTask('CASKET', '', 'casket'),
                   CreateTask('DENTURE', '', 'denture'),
                   CreateTask('DUSTBIN', '', 'dustbin'),
                   CreateTask('FIREEXTINGUISHER', '', 'fireextinguisher'),
                   CreateTask('FISH', '', 'fish'),
                   CreateTask('GUN', '', 'gun'),
                   CreateTask('HARDBOARD', '', 'hardboard'),
                   CreateTask('MAGNIFYING_GLASS', '', 'magnifying_glass'),
                   CreateTask('MASK', '', 'mask'),
                   CreateTask('MIRROR', '', 'mirror'),
                   CreateTask('PEN', '', 'pen'),
                   CreateTask('PENCIL', '', 'pencil'),
                   CreateTask('PICTURE', '', 'picture'),
                   CreateTask('RING', '', 'ring'),
                   CreateTask('WATERCOLOR', '', 'watercolor'),
                   CreateTask('UMBRELLA', '', 'umbrella')
                  );
                  
    play_field:IgnoreOnTestPoint('stick');
    -------------------------------------------------------------------------------------------
    zoom_table = CreateZoomZone('close_zoom_table',                                         
                                '', --'pixel_zoom_table'
                                'zoom_table',
                                'parts_of_picture' );
    zoom_table.SetVisible(false);
    -------------------------------------------------------------------------------------------
    local object_anvil      = play_field:GetObject('pixel_anvil');
    inventory_anvil         = CreateInventory(object_anvil:GetX(),
                                        object_anvil:GetY(),
                                        object_anvil:GetZ() + 50.,
                                        object_anvil:GetName(),
                                        CreateItem('hacksaw_tool_visual_inventory', 'hacksaw_tool'),
                                        CreateItem('blade_tool_visual_inventory', 'blade_tool'),
                                        CreateItem('glove_tool_visual_inventory', 'glove_tool'),
                                        play_field:GetTimer(),
										"INVENTORY_TASK_26_1");
										
	inventory_anvil.state_changer = 'OnAnvilComplete'
										
    inventory_anvil.OnComplete = function()
        inventory_table.Unlock();
        
        SwayObjectByAngle('chain', 1., 4.);
        -- fall anfil
        local obj_anvil = play_field:GetObject('anvil');
        local time_fall = 0.5;
        local af_fall_anfil = CreateAnimationEffector()
        af_fall_anfil:AttachTo( play_field:GetObject('anvil') );
        af_fall_anfil:SetMode(_ANIM_FWD);
        af_fall_anfil:SetKey(_TRACK_Y, 0.,          play_field:GetObject('anvil'):GetY());
        af_fall_anfil:SetKey(_TRACK_Y, time_fall,   play_field:GetObject('anvil'):GetY() + 200.);
        af_fall_anfil:Play();
        
        local func_after_fall = function()
            play_field:GetObject('anvil'):ChangeOpacity(1., 0., 0.3);
            play_field:GetObject('barrel'):ChangeOpacity(1., 0., 0.3);
            play_field:GetObject('barrel_broken'):ChangeOpacity(0., 1., 0.3);
            play_field:GetObject('key'):ChangeOpacity(0., 1., 0.3);
            
            play_field:GetObject('pixel_particle_fall_barrel'):AddParticleSystem('data/ParticleSystem/Dust.psi', play_field:GetObject('particles'):GetAnimationPtr())
			PlaySound("26_AnvilFall");
        end;
        TimerDo(play_field:GetTimer(), time_fall, func_after_fall);
    end
    CreateTool('hacksaw', 'hacksaw_tool');
    CreateTool('blade', 'blade_tool');
    CreateTool('glove', 'glove_tool');
    play_field:GetObject('barrel_broken'):SetOpacity(0.);
    play_field:GetObject('key'):SetOpacity(0.);
    -------------------------------------------------------------------------------------------
    local object_inventory_table      = play_field:GetObject('pixel_inventory_table');
    inventory_table                   = CreateInventory(object_inventory_table:GetX(),
                                              object_inventory_table:GetY(),
                                              object_inventory_table:GetZ() + 50.,
                                              object_inventory_table:GetName(),
                                              nil,
                                              CreateItem('key_tool_visual_inventory', 'key_tool'),
                                              nil,
                                              play_field:GetTimer(),
                                              "INVENTORY_TASK_26_2");
											
	inventory_table.state_changer = 'OnTableComplete'
											
    inventory_table.OnComplete = function()
        RegisterZoomZone(zoom_table, 'pixel_zoom_table');
        play_field:GetObject('table_layer'):ChangeOpacity(1., 0., 0.3);
		local s = CreateSoundEntity("26_Wardrobe")
		s:AttachTo(play_field)
		s:Play(false)
    end
    CreateTool('key', 'key_tool');										
    -------------------------------------------------------------------------------------------
    game_state.meta_object = 'cigar26'
	
	game_state.OnStartingComicsComplete = function()
		inventory_anvil.Unlock();
	end
	
	game_state.OnAnvilComplete = function()
		inventory_table.Unlock();
        
        SwayObjectByAngle('chain', 1., 4.);
        -- fall anfil
        local obj_anvil = play_field:GetObject('anvil');
        local time_fall = 0.5;
        local af_fall_anfil = CreateAnimationEffector()
        play_field:GetObject('anvil'):SetY(play_field:GetObject('anvil'):GetY() + 200.);
		
		play_field:GetObject('anvil'):SetOpacity(0)
		play_field:GetObject('barrel'):SetOpacity(0)
		play_field:GetObject('barrel_broken'):SetOpacity(1)
		if play_field:HasObject('key') then
			play_field:GetObject('key'):SetOpacity(1)
		end
	end
	
	game_state.OnTableComplete = function()
		RegisterZoomZone(zoom_table, 'pixel_zoom_table');
        play_field:GetObject('table_layer'):SetOpacity(0)
	end
end

function OnMinigameCompleted()
end

function InitChain1(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    comics1.OnHidden = function()
		comics1.DefaultOnHidden();
		inventory_anvil.Unlock();
	end
    
    game_state.chain1 = CreateChain('pixel_comics_1',
                                    screen,
                                    comics1, GetString("COMICS_26_1") );
end

function InitChain2(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    
    game_state.chain2 = CreateChain('pixel_comics_2',
                                    screen,
                                    comics1, GetString("COMICS_26_2") );
end

function InitChain3(screen)
    local comics1 = CreateComics(screen, 'Sheriff', 'eyes');
    comics1.OnHidden = function()
		OnWin()
	end
    
    game_state.chain3 = CreateChain('pixel_comics_3',
                                    screen,
                                    comics1, GetString("COMICS_26_3") );
end


function OnSceneFree(screen)
    FreeData(screen)
end

function OnNotebookClosed()
	game_state.chain3.Start()
end

function OnUpdate(dt)
end

function OnScreenShown()
    game_state.chain1.Start();
end

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true

    is_wrong_click = DefaultOnObjectMouseDown(object)

    if is_wrong_click then
        --pf:ShowWrongObjectEffect()
    end

    return is_wrong_click;    
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
    if object:GetName() == 'parts_of_picture' then
        zoom_table.SetVisible(false);
        game_state.locker:Release();
        game_state.chain2.Start();
		UnregisterZoomZone(zoom_table);
    end
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Layers/bg.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('bg',anim,512,384,70,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/apple.png',0,0,43,39,1,0)
	anim:SetHotSpot(21,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('apple',anim,907,547,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/brush.png',0,0,64,94,1,0)
	anim:SetHotSpot(32,47)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('brush',anim,822,728,140,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/casket.png',0,0,72,62,1,0)
	anim:SetHotSpot(36,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('casket',anim,394,514,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/denture.png',0,0,82,70,1,0)
	anim:SetHotSpot(41,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('denture',anim,837,649,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/dustbin.png',0,0,75,73,1,0)
	anim:SetHotSpot(37,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dustbin',anim,351,471,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/fireextinguisher.png',0,0,69,98,1,0)
	anim:SetHotSpot(34,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fireextinguisher',anim,648,416,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/fish.png',0,0,92,72,1,0)
	anim:SetHotSpot(46,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('fish',anim,257,418,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/gun.png',0,0,51,231,1,0)
	anim:SetHotSpot(25,115)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('gun',anim,419,376,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/hardboard.png',0,0,107,96,1,0)
	anim:SetHotSpot(53,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hardboard',anim,805,560,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/magnifying_glass.png',0,0,87,62,1,0)
	anim:SetHotSpot(43,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('magnifying_glass',anim,626,563,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/mask.png',0,0,78,103,1,0)
	anim:SetHotSpot(39,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mask',anim,691,116,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/mirror.png',0,0,66,98,1,0)
	anim:SetHotSpot(33,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('mirror',anim,508,737,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/pen.png',0,0,85,51,1,0)
	anim:SetHotSpot(42,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pen',anim,543,623,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/pencil.png',0,0,84,28,1,0)
	anim:SetHotSpot(42,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pencil',anim,736,615,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/picture.png',0,0,83,81,1,0)
	anim:SetHotSpot(41,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('picture',anim,480,45,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/ring.png',0,0,35,32,1,0)
	anim:SetHotSpot(17,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ring',anim,490,624,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/umbrella.png',0,0,51,133,1,0)
	anim:SetHotSpot(25,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('umbrella',anim,689,301,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_1',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_2',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_comics_3',anim,512,384,401,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('Sheriff',anim,756,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,745,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/stick.png',0,0,85,152,1,0)
	anim:SetHotSpot(42,76)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('stick',anim,374,503,185,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_anvil',anim,523,252,101,0,7,7)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/hacksaw.png',0,0,84,126,1,0)
	anim:SetHotSpot(42,63)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hacksaw',anim,914,650,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/hacksaw_tool.png',0,0,79,120,1,0)
	anim:SetHotSpot(39,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hacksaw_tool',anim,912,648,1,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/hacksaw_tool.png',0,0,79,120,1,0)
	anim:SetHotSpot(39,60)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('hacksaw_tool_visual_inventory',anim,912,646,1,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/blade.png',0,0,36,117,1,0)
	anim:SetHotSpot(18,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blade',anim,990,91,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/blade.png',0,0,36,117,1,0)
	anim:SetHotSpot(18,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blade_tool',anim,991,91,1,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/blade.png',0,0,36,117,1,0)
	anim:SetHotSpot(18,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('blade_tool_visual_inventory',anim,990,91,1,0,0.6,0.6)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/anvil.png',0,0,107,151,1,0)
	anim:SetHotSpot(53,75)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('anvil',anim,524,257,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/key.png',0,0,38,34,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key',anim,446,524,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/key.png',0,0,38,34,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_tool',anim,445,526,1,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/key.png',0,0,38,34,1,0)
	anim:SetHotSpot(19,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('key_tool_visual_inventory',anim,444,526,1,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_inventory_table',anim,692,695,141,0,20,7)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pixel_zoom_table',anim,692,695,100,0,20,7)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Zoom/zoom_table.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('zoom_table',anim,512,384,700,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Zoom/parts_of_picture.png',0,0,393,317,1,0)
	anim:SetHotSpot(196,158)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('parts_of_picture',anim,527,366,705,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/glove.png',0,0,60,73,1,0)
	anim:SetHotSpot(30,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove',anim,219,638,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/glove.png',0,0,60,73,1,0)
	anim:SetHotSpot(30,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove_tool',anim,219,637,1,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/glove.png',0,0,60,73,1,0)
	anim:SetHotSpot(30,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove_tool_visual_inventory',anim,219,637,1,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/barrel.png',0,0,117,111,1,0)
	anim:SetHotSpot(58,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('barrel',anim,535,507,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/barrel_broken.png',0,0,209,100,1,0)
	anim:SetHotSpot(104,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('barrel_broken',anim,529,491,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel_particle_fall_barrel',anim,519,466,130,0,1,1)
	local anim = CreateAnimation('data/Texture/Effect/particles.png',0,96,32,32,1,0)
	anim:SetHotSpot(16,16)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('particles',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Items/chain.png',0,0,19,194,1,0)
	anim:SetHotSpot(9,97)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('chain',anim,524,94,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Layers/casket_layer.png',0,0,37,48,1,0)
	anim:SetHotSpot(18,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('casket_layer',anim,373,501,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Layers/dustbin_layer.png',0,0,63,69,1,0)
	anim:SetHotSpot(31,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('dustbin_layer',anim,334,463,140,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Layers/glove_layer.png',0,0,16,26,1,0)
	anim:SetHotSpot(8,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('glove_layer',anim,240,626,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/Layers/table_layer.png',0,0,226,123,1,0)
	anim:SetHotSpot(113,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('table_layer',anim,708,705,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/26_ garret_11/cigar26.png',0,0,154,66,1,0)
	anim:SetHotSpot(77,33)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('cigar26',anim,429,641,100,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
